{
  "name": "cuisine-finder",
  "version": "1.0.0",
  "description": "",
  "main": "./build/index.js",
  "scripts": {
    "postinstall": "npm run prod",
    "start": "npm run dev",
    "dev": "NODE_ENV=development babel-node -r node_modules/dotenv/config --extensions '.ts' src/ dotenv_config_path=.env.local",
    "prod": "NODE_ENV=production npm run build",
    "prod:start": "node ./build/index.js",
    "build": "npm run build:clean && npm run build:babel && npm run build:types",
    "build:clean": "rimraf build",
    "build:babel": "NODE_ENV=production babel src --out-dir build --extensions '.ts'",
    "build:types": "tsc --noEmit false --emitDeclarationOnly",
    "db:populate": "NODE_ENV=development babel-node -r node_modules/dotenv/config --extensions '.ts' src/config/model/populate.ts dotenv_config_path=.env.local",
    "db:drop-schema": "NODE_ENV=development babel-node -r node_modules/dotenv/config --extensions '.ts' src/config/model/drop-schema.ts dotenv_config_path=.env.local",
    "heroku-db:populate": "NODE_ENV=development babel-node -r node_modules/dotenv/config --extensions '.ts' src/config/model/populate.ts",
    "heroku-db:drop-schema": "NODE_ENV=development babel-node -r node_modules/dotenv/config --extensions '.ts' src/config/model/drop-schema.ts",
    "test": "jest",
    "tsc": "tsc"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/talgat.s/cuisine-finder-js.git"
  },
  "author": "Talgat Saribayev",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/talgat.s/cuisine-finder-js/issues"
  },
  "homepage": "https://gitlab.com/talgat.s/cuisine-finder-js#readme",
  "devDependencies": {
    "@babel/cli": "^7.6.2",
    "@babel/core": "^7.6.2",
    "@babel/node": "^7.6.2",
    "@babel/plugin-proposal-class-properties": "^7.5.5",
    "@babel/plugin-transform-modules-commonjs": "^7.6.0",
    "@babel/preset-typescript": "^7.6.0",
    "@types/dotenv": "^6.1.1",
    "@types/jest": "^24.0.18",
    "@types/jsonwebtoken": "^8.3.4",
    "@types/koa": "^2.0.50",
    "@types/koa-bodyparser": "^4.3.0",
    "@types/koa-router": "^7.0.42",
    "@types/koa__cors": "^2.2.3",
    "@types/node": "^12.7.11",
    "@types/pg": "^7.11.2",
    "babel-plugin-minify-constant-folding": "^0.5.0",
    "babel-plugin-minify-dead-code-elimination": "^0.5.1",
    "babel-plugin-minify-guarded-expressions": "^0.4.4",
    "babel-plugin-relative-path-import": "^2.0.1",
    "babel-plugin-transform-inline-environment-variables": "^0.4.3",
    "babel-plugin-transform-node-env-inline": "^0.4.3",
    "babel-plugin-transform-remove-debugger": "^6.9.4",
    "chalk": "^2.4.2",
    "jest": "^24.9.0",
    "prettier": "^1.18.2",
    "rimraf": "^3.0.0",
    "ts-jest": "^24.1.0",
    "ts-node-dev": "^1.0.0-pre.43",
    "typescript": "^3.6.3"
  },
  "dependencies": {
    "@koa/cors": "^2.2.3",
    "dotenv": "^8.1.0",
    "jsonwebtoken": "^8.5.1",
    "koa": "^2.8.2",
    "koa-bodyparser": "^4.2.1",
    "koa-router": "^7.4.0",
    "koa2-rbac": "^1.0.1",
    "pg": "^7.12.1"
  },
  "engines": {
    "node": ">=12.10.0",
    "npm": ">=6.11.3"
  }
}
